package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

public interface IAuthorizationService {
    List<AuthorizationListModel> queryList(AuthorizationSearchModel inputModel);

    long queryCount(AuthorizationSearchModel inputModel);

    AuthorizationViewModel queryOneView(long id);

    ResultState<Long> handle(AuthorizationHeableModel inputModel, LoginUser loginUser);

    int isAdminFalg(Long id);
}
